const setupContent = require("../setup/index");
const revitContent = require("../revit/index");
const databaseContent = require("../dev/database/index");
const dataCenterContent = require("../dev/data-center/index");
const revitCenterContent = require("../dev/revit-center/index");

module.exports = {
    title: "数字化交付参考文档",
    description: "上格云数字化交付参考文档",
    base: "/doc/",
    // plugins: ["@vuepress/last-updated"],
    plugins: ['@vuepress/back-to-top'],
    markdown: {
        lineNumbers: true
    },
    themeConfig: {
        logo: "/assets/img/logo.png",
        nav: [
            {text: "首页", link: "/"},
            {
                text: "服务器安装",
                items: [
                    {text: "CentoOS 部署", link: "/setup/centos/"},
                    {text: "Windows 部署", link: "/setup/windows/"}
                ]
            },
            {
                text: "开发文档",
                items: [
                    {text: "数据中心", link: "/dev/data-center/"},
                    {text: "物理世界同步", link: "/dev/dataplatform-sync/"},
                    {text: "模型管理", link: "/dev/revit-center/"},
                    {
                        text: "数据库设计",
                        items: [
                            { text: "数据中心", link: "/dev/database/data-center/" },
                            { text: "系统图", link: "/dev/database/topo/" }
                        ]
                    },
                    {
                        text: "Web开发",
                        items: [
                            { text: "Sybotan Graphy 引擎", link: "http://docs.sybotan.com:88/api/web/graphy/" }
                        ]
                    },
                    {
                        text: "移动端开发",
                        items: [
                            { text: "Sybotan Graphy 引擎", link: "http://docs.sybotan.com:88/api/web/graphy/" }
                        ]
                    }
                ]
            },
            {
                text: "API参考",
                items: [
                    {
                        text: "后台开发",
                        items: [
                            { text: "后台框架Api参考", link: "http://192.168.20.236:8080/apis/service/" }
                        ]
                    },
                    {
                        text: "Web开发",
                        items: [
                            { text: "Graphy 引擎", link: "http://192.168.20.236:8080/apis/web/graphy/" }
                        ]
                    },
                    {
                        text: "移动端开发",
                        items: [
                            { text: "Android 支持库", link: "http://192.168.20.236:8080/apis/android/" }
                        ]
                    }
                ]
            },
            {
                text: "编码规范",
                items: [
                    { text: "C#", link: "/style/csharp/" },
                    { text: "Kotlin", link: "/style/kotlin/" },
                    { text: "Python", link: "/style/python/" },
                    { text: "SQL", link: "/style/sql/" },
                    { text: "TypeScript", link: "/style/typescript/" }
                ]
            }
        ],
        displayAllHeaders: true,
        sidebarDepth: 2,
        sidebar: {
            "/setup/" : setupContent,
            "/revit/" : revitContent,
            "/dev/database/" : databaseContent,
            "/dev/data-center/" : dataCenterContent,
            "/dev/revit-center/" : revitCenterContent,
        }
    }
};